# Type alias IbcMessageId

IbcMessageId: {
chain: Chain;
dstChannel: string;
dstPort: string;
sequence: number;
srcChannel: string;
srcPort: string;
}

#### Type declaration

- ##### chain: Chain

- ##### dstChannel: string

- ##### dstPort: string

- ##### sequence: number

- ##### srcChannel: string

- ##### srcPort: string

- Defined in core/definitions/dist/esm/attestation.d.ts:27

Generated using TypeDoc